/*
 * flexi-cgi.h part of flexi-cgi
 * Copyright (C) 2000 V.R.Sanders
 *
 * see flexi-cgi.c for details
 */

#define FLEXI_CGI_ROOT "flexi-sheets"

#define DAYTYPE_WORKING 0
#define DAYTYPE_WEEKEND 1
#define DAYTYPE_BANKHOL 2
#define DAYTYPE_GLOBALEND 99
#define DAYTYPE_SICK 100
#define DAYTYPE_HOLIDAY 101
#define DAYTYPE_CONFERENCE 102
#define DAYTYPE_USEREND 102

typedef struct
{
    char * dayname;
    int daytype;
    time_t inout[4];
    time_t day_total;
}
fx_day;

typedef struct
{
    fx_day days[7];
    time_t week_total;
    time_t week_length;
    time_t work_day_length;
}
fx_week;
